﻿@model PagedList.IPagedList<SYM.DataAccessLayer.route>
@using PagedList.Mvc;
@using SYM.SearchEngine.MvcApp.Helpers

@{
    ViewBag.Title = "Route / Itinerari Partial";
    Layout = null;
}
@if (Model.Count > 0)
{

    <div class="dataTables_wrapper no-footer">
        <div class="table-scrollable">
            <table class="table table-striped table-bordered table-condensed dataTable no-footer">
                <thead>
                    <tr role="row">
                        @*<th>Route Name</th>*@
                        <th>@SYM.Localization.Resources.Views.Route.Index.RouteTitle</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.Activity</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.Difficulty</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.Altitude</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.Length</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.Height</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.City</th>
                        <th>@SYM.Localization.Resources.Views.Route.Index.Report</th>
                    </tr>
                </thead>
                <tbody class="searchable">
                    @foreach (var item in Model)
                    {
                        <tr role="row">
                            <td>
                                <a href='/Route/@item.id-@item.route_name.Replace(" ", "").Replace("-", "_").Replace(".", "")' class="tooltips" data-container="body" data-placement="right" data-original-title="@item.route_title">
                                    @Html.DisplayFor(modelItem => item.route_name)
                                </a>
                            </td>
                            <td style="text-align: center;">
                                <span class="icon icon-noun_@item.act_activity.id icon-noun_@item.act_activity.id-dims tooltips" data-container="body" data-placement="right" data-original-title="@item.act_activity.activity_name">&nbsp;</span>
                            </td>
                            <td>
                                @if (item.difficulty_grade != null)
                                {
                                    foreach (string s in item.difficulty_grade.Split(','))
                                    {
                                        @: <span class="badge badge-info badge-roundless">@s</span>
                                    }
                                }
                                else
                                {
                                    @: N/A
                                        }
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.route_altitude)
                            </td>
                            <td>
                                @item.route_length
                            </td>
                            <td>
                                @item.route_height
                            </td>
                            <td class="text-right">

                                @if (item.geo_city != null)
                                {
                                    @HtmlHelpers.Truncate(item.geo_city.city_name, 20)
                                }
                                (
                                @{
                                    string url = "/Content/themes/sleek/images/region/" + @item.geo_country.id + "_" + @item.geo_region.id + ".png";
                                    <img alt="@item.geo_region.region_name" src="@url" width="15">
                                }
                                )

                            </td>
                            <td>
                                @if (item.route_webinfo.Count() > 0)
                                {
                                    <a href='@item.route_webinfo.First().source.source_url/@item.route_webinfo.First().wi_url' target="_blank">@item.route_webinfo.First().source.source_name</a>
                                }
                            </td>
                        </tr>
                                    }
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="col-md-5 col-sm-5">
                <div class="dataTables_info" role="status" aria-live="polite">
                    Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
                </div>
            </div>
            <div class="col-md-7 col-sm-7">
                @Html.PagedListPager(Model, page => Url.Action("Index2", new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.Region, _route = ViewBag.Route }))
            </div>
        </div>
    </div>
                                    }
